"use strict";
Object.defineProperty(exports, Symbol.toStringTag, { value: "Module" });
const lib_themes_vars_css_cjs = require("./lib/themes/vars.css.cjs");
const lib_css_atoms_atoms_cjs = require("./lib/css/atoms/atoms.cjs");
const lib_css_colorModeStyle_cjs = require("./lib/css/colorModeStyle.cjs");
const lib_css_responsiveStyle_cjs = require("./lib/css/responsiveStyle.cjs");
const lib_css_breakpoints_cjs = require("./lib/css/breakpoints.cjs");
const lib_css_globalTypographyStyles_cjs = require("./lib/css/globalTypographyStyles.cjs");
const {
  grid,
  space,
  touchableSize,
  contentWidth,
  // TODO: COLORMODE RELEASE
  // Release new backgrounds
  backgroundColor: { surfaceDark: _, bodyDark: __, ...backgroundColor },
  foregroundColor,
  textWeight,
  borderColor,
  borderRadius,
  borderWidth,
  shadow
} = lib_themes_vars_css_cjs.vars;
const vars = {
  grid,
  space,
  touchableSize,
  contentWidth,
  backgroundColor,
  foregroundColor,
  textWeight,
  borderColor,
  borderRadius,
  borderWidth,
  shadow
};
function atoms(props) {
  if (process.env.NODE_ENV !== "production") {
    if ("background" in props) {
      throw new Error(
        `'background' is not available via 'atoms'. This is because Braid uses React context to dynamically apply matching tones to child elements. Please use \`<Box background="...">\` instead.`
      );
    }
  }
  return lib_css_atoms_atoms_cjs.atoms(props);
}
exports.colorModeStyle = lib_css_colorModeStyle_cjs.colorModeStyle;
exports.responsiveStyle = lib_css_responsiveStyle_cjs.responsiveStyle;
exports.breakpoints = lib_css_breakpoints_cjs.breakpoints;
exports.globalHeadingStyle = lib_css_globalTypographyStyles_cjs.globalHeadingStyle;
exports.globalTextStyle = lib_css_globalTypographyStyles_cjs.globalTextStyle;
exports.atoms = atoms;
exports.vars = vars;
