"use strict";
const jsxRuntime = require("react/jsx-runtime");
const clsx = require("clsx");
const lib_components_Box_BackgroundContext_cjs = require("./BackgroundContext.cjs");
const lib_css_atoms_atoms_cjs = require("../../css/atoms/atoms.cjs");
const lib_components_Box_ColoredBox_cjs = require("./ColoredBox.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const clsx__default = /* @__PURE__ */ _interopDefaultCompat(clsx);
const ColoredBoxRenderer = ({
  background,
  boxShadow,
  children,
  className
}) => {
  const { backgroundContext, classList } = lib_components_Box_ColoredBox_cjs.useColoredBoxClasses({
    background,
    boxShadow
  });
  const element = children(clsx__default.default(className, classList));
  return backgroundContext ? /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_BackgroundContext_cjs.BackgroundProvider, { value: backgroundContext, children: element }) : element;
};
const BoxRenderer = ({
  children,
  component = "div",
  className,
  background,
  boxShadow,
  ...props
}) => {
  const classes = clsx__default.default(className, lib_css_atoms_atoms_cjs.atoms({ reset: component, ...props }));
  return background || boxShadow ? /* @__PURE__ */ jsxRuntime.jsx(
    ColoredBoxRenderer,
    {
      background,
      boxShadow,
      className: classes,
      children
    }
  ) : children(classes);
};
exports.BoxRenderer = BoxRenderer;
