"use strict";
const React = require("react");
const BraidThemeContext = React.createContext(null);
const useBraidTheme = () => {
  const braidTheme = React.useContext(BraidThemeContext);
  if (braidTheme === null) {
    throw new Error("No Braid theme available on context");
  }
  return braidTheme;
};
exports.BraidThemeContext = BraidThemeContext;
exports.useBraidTheme = useBraidTheme;
