"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_Button_Button_cjs = require("./Button.cjs");
const Button = React.forwardRef(
  ({ variant, tone, ...restProps }, ref) => {
    const isValidVariant = variant && lib_components_Button_Button_cjs.buttonVariants.indexOf(variant) > -1;
    const isValidTone = tone && lib_components_Button_Button_cjs.buttonTones.indexOf(tone) > -1;
    return /* @__PURE__ */ jsxRuntime.jsx(
      lib_components_Button_Button_cjs.Button,
      {
        ref,
        variant: isValidVariant ? variant : void 0,
        tone: isValidTone ? tone : void 0,
        ...restProps
      }
    );
  }
);
Button.displayName = "Button";
exports.Button = Button;
