import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { Button as Button$1, buttonVariants, buttonTones } from "./Button.mjs";
const Button = forwardRef(
  ({ variant, tone, ...restProps }, ref) => {
    const isValidVariant = variant && buttonVariants.indexOf(variant) > -1;
    const isValidTone = tone && buttonTones.indexOf(tone) > -1;
    return /* @__PURE__ */ jsx(
      Button$1,
      {
        ref,
        variant: isValidVariant ? variant : void 0,
        tone: isValidTone ? tone : void 0,
        ...restProps
      }
    );
  }
);
Button.displayName = "Button";
export {
  Button
};
