"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_ButtonIcon_ButtonIcon_cjs = require("./ButtonIcon.cjs");
const ButtonIcon = React.forwardRef(
  ({ variant, id, tone, ...restProps }, ref) => {
    const fallbackId = lib_playroom_utils_cjs.useFallbackId();
    const isValidVariant = variant && lib_components_ButtonIcon_ButtonIcon_cjs.buttonIconVariants.indexOf(variant) > -1;
    const isValidTone = tone && lib_components_ButtonIcon_ButtonIcon_cjs.buttonIconTones.indexOf(tone) > -1;
    return /* @__PURE__ */ jsxRuntime.jsx(
      lib_components_ButtonIcon_ButtonIcon_cjs.ButtonIcon,
      {
        ref,
        id: id ?? fallbackId,
        variant: isValidVariant ? variant : void 0,
        tone: isValidTone ? tone : void 0,
        ...restProps
      }
    );
  }
);
ButtonIcon.displayName = "ButtonIcon";
exports.ButtonIcon = ButtonIcon;
