import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { useFallbackId } from "../../playroom/utils.mjs";
import { ButtonIcon as ButtonIcon$1, buttonIconVariants, buttonIconTones } from "./ButtonIcon.mjs";
const ButtonIcon = forwardRef(
  ({ variant, id, tone, ...restProps }, ref) => {
    const fallbackId = useFallbackId();
    const isValidVariant = variant && buttonIconVariants.indexOf(variant) > -1;
    const isValidTone = tone && buttonIconTones.indexOf(tone) > -1;
    return /* @__PURE__ */ jsx(
      ButtonIcon$1,
      {
        ref,
        id: id ?? fallbackId,
        variant: isValidVariant ? variant : void 0,
        tone: isValidTone ? tone : void 0,
        ...restProps
      }
    );
  }
);
ButtonIcon.displayName = "ButtonIcon";
export {
  ButtonIcon
};
