"use strict";
const jsxRuntime = require("react/jsx-runtime");
const dedent = require("dedent");
const React = require("react");
const lib_components_BraidProvider_BraidProvider_cjs = require("../BraidProvider/BraidProvider.cjs");
const lib_components_private_buildDataAttributes_cjs = require("../private/buildDataAttributes.cjs");
const lib_components_Button_Button_cjs = require("../Button/Button.cjs");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const dedent__default = /* @__PURE__ */ _interopDefaultCompat(dedent);
const ButtonLink = React.forwardRef(
  ({
    children,
    size,
    tone,
    variant,
    bleedY,
    bleed,
    icon,
    iconPosition,
    loading,
    data,
    ...restProps
  }, ref) => {
    const LinkComponent = lib_components_BraidProvider_BraidProvider_cjs.useLinkComponent(ref);
    if (process.env.NODE_ENV !== "production") {
      if (typeof bleedY !== "undefined") {
        console.warn(
          dedent__default.default`
            The "bleedY" prop has been deprecated and will be removed in a future version. Use "bleed" instead.
               <Button
              %c-   bleedY
              %c+   bleed
               %c/>
          `,
          "color: red",
          "color: green",
          "color: inherit"
        );
      }
    }
    return /* @__PURE__ */ jsxRuntime.jsx(lib_components_Button_Button_cjs.ButtonContainer, { bleed, variant, children: /* @__PURE__ */ jsxRuntime.jsxs(
      lib_components_Box_Box_cjs.Box,
      {
        component: LinkComponent,
        ref,
        ...restProps,
        ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: false }),
        ...lib_components_Button_Button_cjs.useButtonStyles({
          variant,
          tone,
          size,
          bleed: bleed || bleedY,
          loading
        }),
        children: [
          /* @__PURE__ */ jsxRuntime.jsx(lib_components_Button_Button_cjs.ButtonOverlays, { variant, tone }),
          /* @__PURE__ */ jsxRuntime.jsx(
            lib_components_Button_Button_cjs.ButtonText,
            {
              variant,
              tone,
              size,
              loading,
              icon,
              iconPosition,
              bleed,
              children
            }
          )
        ]
      }
    ) });
  }
);
ButtonLink.displayName = "ButtonLink";
exports.ButtonLink = ButtonLink;
