import { jsx } from "react/jsx-runtime";
import { forwardRef } from "react";
import { buttonVariants } from "../Button/Button.mjs";
import { ButtonLink as ButtonLink$1 } from "./ButtonLink.mjs";
const ButtonLink = forwardRef(
  ({ variant, ...restProps }, ref) => {
    const isValidVariant = variant && buttonVariants.indexOf(variant) > -1;
    return /* @__PURE__ */ jsx(
      ButtonLink$1,
      {
        ref,
        variant: isValidVariant ? variant : void 0,
        ...restProps
      }
    );
  }
);
ButtonLink.displayName = "ButtonLink";
export {
  ButtonLink
};
