"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_utils_optimizeResponsiveArray_cjs = require("../../utils/optimizeResponsiveArray.cjs");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_Columns_ColumnsContext_cjs = require("../Columns/ColumnsContext.cjs");
const lib_components_private_buildDataAttributes_cjs = require("../private/buildDataAttributes.cjs");
const lib_components_Column_Column_css_cjs = require("./Column.css.cjs");
const Column = ({
  children,
  data,
  width,
  ...restProps
}) => {
  const {
    collapseMobile,
    collapseTablet,
    collapseDesktop,
    mobileSpace,
    tabletSpace,
    desktopSpace,
    wideSpace,
    collapsibleAlignmentChildProps,
    component
  } = React.useContext(lib_components_Columns_ColumnsContext_cjs.ColumnsContext);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component,
      display: component === "span" ? "block" : void 0,
      minWidth: 0,
      width: width !== "content" ? "full" : void 0,
      flexShrink: width === "content" ? 0 : void 0,
      flexGrow: 1,
      className: [
        lib_components_Column_Column_css_cjs.column,
        width !== "content" ? lib_components_Column_Column_css_cjs.width[width] : null
      ],
      ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: restProps }),
      children: /* @__PURE__ */ jsxRuntime.jsx(
        lib_components_Box_Box_cjs.Box,
        {
          component,
          paddingLeft: lib_utils_optimizeResponsiveArray_cjs.optimizeResponsiveArray([
            collapseMobile ? "none" : mobileSpace,
            collapseTablet ? "none" : tabletSpace,
            collapseDesktop ? "none" : desktopSpace,
            wideSpace
          ]),
          paddingTop: collapseMobile || collapseTablet || collapseDesktop ? lib_utils_optimizeResponsiveArray_cjs.optimizeResponsiveArray([
            collapseMobile ? mobileSpace : "none",
            collapseTablet ? tabletSpace : "none",
            collapseDesktop ? desktopSpace : "none",
            "none"
          ]) : void 0,
          height: "full",
          ...collapsibleAlignmentChildProps,
          className: lib_components_Column_Column_css_cjs.columnContent,
          children
        }
      )
    }
  );
};
exports.Column = Column;
