import { jsx } from "react/jsx-runtime";
import { useFallbackState } from "../../playroom/playroomState.mjs";
import { useFallbackId } from "../../playroom/utils.mjs";
import { AllowCloseContext } from "../private/Modal/Modal.mjs";
import { Dialog as Dialog$1 } from "./Dialog.mjs";
const Dialog = ({
  id,
  stateName,
  open,
  onClose,
  ...restProps
}) => {
  const fallbackId = useFallbackId();
  const [state, handleChange] = useFallbackState(
    stateName,
    open,
    onClose,
    false
  );
  return /* @__PURE__ */ jsx(
    AllowCloseContext.Provider,
    {
      value: onClose !== void 0 || stateName !== void 0,
      children: /* @__PURE__ */ jsx(
        Dialog$1,
        {
          id: id ?? fallbackId,
          open: state,
          onClose: handleChange,
          ...restProps
        }
      )
    }
  );
};
export {
  Dialog
};
