"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_playroomState_cjs = require("../../playroom/playroomState.cjs");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_Disclosure_Disclosure_cjs = require("./Disclosure.cjs");
const Disclosure = ({
  id,
  stateName,
  expanded,
  expandLabel,
  collapseLabel,
  onToggle,
  ...restProps
}) => {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  const [state, handleChange] = lib_playroom_playroomState_cjs.useFallbackState(
    stateName,
    expanded,
    onToggle,
    false
  );
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Disclosure_Disclosure_cjs.Disclosure,
    {
      id: id ?? fallbackId,
      expanded: state,
      onToggle: handleChange,
      expandLabel: typeof expandLabel !== "boolean" ? expandLabel : "",
      collapseLabel: typeof collapseLabel !== "boolean" ? collapseLabel : "",
      ...restProps
    }
  );
};
exports.Disclosure = Disclosure;
