"use strict";
const jsxRuntime = require("react/jsx-runtime");
const assert = require("assert");
const lib_components_private_Modal_Modal_cjs = require("../private/Modal/Modal.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const assert__default = /* @__PURE__ */ _interopDefaultCompat(assert);
const validWidths = ["small", "medium", "large"];
const validPositions = ["left", "right"];
const defaultWidth = "medium";
const defaultPosition = "right";
const modalStyle = {
  headingLevel: "2",
  illustration: void 0
};
const Drawer = ({
  width = defaultWidth,
  position = defaultPosition,
  ...restProps
}) => {
  assert__default.default(validWidths.indexOf(width) >= 0, `Invalid width: ${width}`);
  assert__default.default(
    validPositions.indexOf(position) >= 0,
    `Invalid position: ${position}`
  );
  return /* @__PURE__ */ jsxRuntime.jsx(lib_components_private_Modal_Modal_cjs.Modal, { width, position, ...restProps, ...modalStyle });
};
exports.Drawer = Drawer;
