import { jsx } from "react/jsx-runtime";
import { useFallbackState } from "../../playroom/playroomState.mjs";
import { useFallbackId } from "../../playroom/utils.mjs";
import { Dropdown as Dropdown$1 } from "./Dropdown.mjs";
const Dropdown = ({
  id,
  stateName,
  value,
  onChange,
  ...restProps
}) => {
  const fallbackId = useFallbackId();
  const [state, handleChange] = useFallbackState(
    stateName,
    value,
    onChange,
    ""
  );
  return /* @__PURE__ */ jsx(
    Dropdown$1,
    {
      id: id ?? fallbackId,
      value: state,
      onChange: handleChange,
      ...restProps
    }
  );
};
export {
  Dropdown
};
