"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_Secondary_Secondary_cjs = require("../Secondary/Secondary.cjs");
const lib_components_Strong_Strong_cjs = require("../Strong/Strong.cjs");
const lib_components_Text_Text_cjs = require("../Text/Text.cjs");
const lib_components_Stack_Stack_cjs = require("../Stack/Stack.cjs");
const FieldLabel = ({
  id,
  htmlFor,
  label,
  disabled,
  secondaryLabel,
  tertiaryLabel,
  description,
  descriptionId,
  data
}) => {
  if (!label && !description) {
    return null;
  }
  const labelEl = /* @__PURE__ */ jsxRuntime.jsxs(lib_components_Text_Text_cjs.Text, { tone: disabled ? "secondary" : void 0, children: [
    /* @__PURE__ */ jsxRuntime.jsx(lib_components_Strong_Strong_cjs.Strong, { children: label }),
    secondaryLabel ? /* @__PURE__ */ jsxRuntime.jsxs(lib_components_Secondary_Secondary_cjs.Secondary, { children: [
      " (",
      secondaryLabel,
      ")"
    ] }) : null
  ] });
  return /* @__PURE__ */ jsxRuntime.jsxs(lib_components_Stack_Stack_cjs.Stack, { space: "xsmall", data, children: [
    label ? /* @__PURE__ */ jsxRuntime.jsxs(lib_components_Box_Box_cjs.Box, { component: "span", display: "flex", justifyContent: "spaceBetween", children: [
      htmlFor === false ? labelEl : /* @__PURE__ */ jsxRuntime.jsx("label", { id, htmlFor, children: labelEl }),
      tertiaryLabel ? /* @__PURE__ */ jsxRuntime.jsxs(lib_components_Text_Text_cjs.Text, { children: [
        " ",
        tertiaryLabel
      ] }) : null
    ] }) : null,
    description ? /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_Box_cjs.Box, { paddingTop: label ? "xxsmall" : void 0, paddingBottom: "xxsmall", children: /* @__PURE__ */ jsxRuntime.jsx(lib_components_Text_Text_cjs.Text, { tone: "secondary", id: descriptionId, children: description }) }) : null
  ] });
};
exports.FieldLabel = FieldLabel;
