import { jsx } from "react/jsx-runtime";
import { useFallbackId } from "../../playroom/utils.mjs";
import { FieldMessage as FieldMessage$1, tones } from "./FieldMessage.mjs";
const FieldMessage = ({
  id,
  tone,
  ...restProps
}) => {
  const fallbackId = useFallbackId();
  return /* @__PURE__ */ jsx(
    FieldMessage$1,
    {
      id: id ?? fallbackId,
      tone: tone && tones.indexOf(tone) > -1 ? tone : void 0,
      ...restProps
    }
  );
};
export {
  FieldMessage
};
