"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Heading_HeadingContext_cjs = require("./HeadingContext.cjs");
const lib_components_private_Typography_Typography_cjs = require("../private/Typography/Typography.cjs");
const lib_css_typography_css_cjs = require("../../css/typography.css.cjs");
const resolveDefaultComponent = {
  "1": "h1",
  "2": "h2",
  "3": "h3",
  "4": "h4"
};
const Heading = ({
  level,
  weight,
  component,
  ...typographyProps
}) => /* @__PURE__ */ jsxRuntime.jsx(lib_components_Heading_HeadingContext_cjs.HeadingContext.Provider, { value: true, children: /* @__PURE__ */ jsxRuntime.jsx(
  lib_components_private_Typography_Typography_cjs.Typography,
  {
    ...typographyProps,
    component: component || resolveDefaultComponent[level],
    className: [
      lib_css_typography_css_cjs.fontFamily,
      lib_css_typography_css_cjs.headingWeight[weight || "regular"],
      lib_css_typography_css_cjs.heading[level],
      lib_css_typography_css_cjs.tone.neutral
    ]
  }
) });
exports.Heading = Heading;
