"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_Text_TextContext_cjs = require("../Text/TextContext.cjs");
const lib_components_Heading_HeadingContext_cjs = require("../Heading/HeadingContext.cjs");
const lib_utils_resolveResponsiveRangeProps_cjs = require("../../utils/resolveResponsiveRangeProps.cjs");
const lib_components_private_buildDataAttributes_cjs = require("../private/buildDataAttributes.cjs");
const lib_components_Hidden_Hidden_css_cjs = require("./Hidden.css.cjs");
const lib_utils_optimizeResponsiveArray_cjs = require("../../utils/optimizeResponsiveArray.cjs");
const Hidden = ({
  children,
  component,
  above,
  below,
  screen,
  print,
  inline: inlineProp,
  data,
  ...restProps
}) => {
  if (process.env.NODE_ENV === "development" && screen) {
    console.warn(
      `You used the "screen" prop on Hidden, but this probably doesn't do what you expect. If you're trying to provide content to screen readers without rendering it to the screen, use the <HiddenVisually> component instead. The "screen" prop is likely to be deprecated in a future release.`
    );
  }
  const inText = Boolean(React.useContext(lib_components_Text_TextContext_cjs.TextContext));
  const inHeading = Boolean(React.useContext(lib_components_Heading_HeadingContext_cjs.HeadingContext));
  const hiddenOnScreen = Boolean(screen);
  const hiddenOnPrint = Boolean(print);
  const [hiddenOnMobile, hiddenOnTablet, hiddenOnDesktop, hiddenOnWide] = lib_utils_resolveResponsiveRangeProps_cjs.resolveResponsiveRangeProps({ above, below });
  const inline = inlineProp ?? (inText || inHeading);
  const display = inline ? "inline" : "block";
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      display: hiddenOnScreen ? "none" : lib_utils_optimizeResponsiveArray_cjs.optimizeResponsiveArray([
        hiddenOnMobile ? "none" : display,
        hiddenOnTablet ? "none" : display,
        hiddenOnDesktop ? "none" : display,
        hiddenOnWide ? "none" : display
      ]),
      className: hiddenOnPrint ? lib_components_Hidden_Hidden_css_cjs.hiddenOnPrint : void 0,
      component: component || (inline ? "span" : "div"),
      ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: restProps }),
      children
    }
  );
};
exports.Hidden = Hidden;
