"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_Text_TextContext_cjs = require("../Text/TextContext.cjs");
const lib_components_Heading_HeadingContext_cjs = require("../Heading/HeadingContext.cjs");
const lib_components_private_buildDataAttributes_cjs = require("../private/buildDataAttributes.cjs");
const lib_components_HiddenVisually_HiddenVisually_css_cjs = require("./HiddenVisually.css.cjs");
const HiddenVisually = ({
  id,
  data,
  children,
  ...restProps
}) => {
  const inText = Boolean(React.useContext(lib_components_Text_TextContext_cjs.TextContext));
  const inHeading = Boolean(React.useContext(lib_components_Heading_HeadingContext_cjs.HeadingContext));
  const component = inText || inHeading ? "span" : "div";
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component,
      id,
      position: "absolute",
      overflow: "hidden",
      className: lib_components_HiddenVisually_HiddenVisually_css_cjs.root,
      ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: restProps }),
      children
    }
  );
};
exports.HiddenVisually = HiddenVisually;
