import { jsx } from "react/jsx-runtime";
import { useFallbackState } from "../../playroom/playroomState.mjs";
import { useFallbackId } from "../../playroom/utils.mjs";
import { MonthPicker as MonthPicker$1 } from "./MonthPicker.mjs";
const MonthPicker = ({
  id,
  stateName,
  value,
  onChange,
  ...restProps
}) => {
  const fallbackId = useFallbackId();
  const [state, handleChange] = useFallbackState(
    stateName,
    value,
    onChange,
    {}
  );
  return /* @__PURE__ */ jsx(
    MonthPicker$1,
    {
      id: id ?? fallbackId,
      value: state,
      onChange: handleChange,
      ...restProps
    }
  );
};
export {
  MonthPicker
};
