"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Columns_Columns_cjs = require("../Columns/Columns.cjs");
const lib_components_Column_Column_cjs = require("../Column/Column.cjs");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_Text_Text_cjs = require("../Text/Text.cjs");
const lib_components_private_defaultTextProps_cjs = require("../private/defaultTextProps.cjs");
const lib_components_private_buildDataAttributes_cjs = require("../private/buildDataAttributes.cjs");
const lib_components_icons_IconPositive_IconPositive_cjs = require("../icons/IconPositive/IconPositive.cjs");
const lib_components_icons_IconInfo_IconInfo_cjs = require("../icons/IconInfo/IconInfo.cjs");
const lib_components_icons_IconPromote_IconPromote_cjs = require("../icons/IconPromote/IconPromote.cjs");
const lib_components_icons_IconCritical_IconCritical_cjs = require("../icons/IconCritical/IconCritical.cjs");
const icons = {
  positive: lib_components_icons_IconPositive_IconPositive_cjs.IconPositive,
  info: lib_components_icons_IconInfo_IconInfo_cjs.IconInfo,
  promote: lib_components_icons_IconPromote_IconPromote_cjs.IconPromote,
  critical: lib_components_icons_IconCritical_IconCritical_cjs.IconCritical
};
const Notice = ({
  tone = "info",
  data,
  children,
  ...restProps
}) => {
  const Icon = icons[tone];
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      role: "alert",
      "aria-live": "polite",
      ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: restProps }),
      children: /* @__PURE__ */ jsxRuntime.jsx(lib_components_private_defaultTextProps_cjs.DefaultTextPropsProvider, { tone, children: /* @__PURE__ */ jsxRuntime.jsxs(lib_components_Columns_Columns_cjs.Columns, { space: "xsmall", children: [
        /* @__PURE__ */ jsxRuntime.jsx(lib_components_Column_Column_cjs.Column, { width: "content", children: /* @__PURE__ */ jsxRuntime.jsx(lib_components_Text_Text_cjs.Text, { children: /* @__PURE__ */ jsxRuntime.jsx(Icon, {}) }) }),
        /* @__PURE__ */ jsxRuntime.jsx(lib_components_Column_Column_cjs.Column, { children })
      ] }) })
    }
  );
};
exports.Notice = Notice;
