"use strict";
const jsxRuntime = require("react/jsx-runtime");
const assert = require("assert");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_Box_BackgroundContext_cjs = require("../Box/BackgroundContext.cjs");
const lib_components_Link_Link_cjs = require("../Link/Link.cjs");
const lib_components_private_Overlay_Overlay_cjs = require("../private/Overlay/Overlay.cjs");
const lib_components_Text_Text_cjs = require("../Text/Text.cjs");
const lib_components_Pagination_paginate_cjs = require("./paginate.cjs");
const lib_components_private_buildDataAttributes_cjs = require("../private/buildDataAttributes.cjs");
const lib_components_BraidProvider_BraidThemeContext_cjs = require("../BraidProvider/BraidThemeContext.cjs");
const lib_components_Pagination_Pagination_css_cjs = require("./Pagination.css.cjs");
const lib_components_icons_IconChevron_IconChevron_cjs = require("../icons/IconChevron/IconChevron.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const assert__default = /* @__PURE__ */ _interopDefaultCompat(assert);
const borderRadius = "standard";
const PageNav = ({
  label,
  direction
}) => {
  const isPrevious = direction === "prev";
  const isNext = direction === "next";
  return /* @__PURE__ */ jsxRuntime.jsxs(
    lib_components_Box_Box_cjs.Box,
    {
      component: "span",
      className: lib_components_Pagination_Pagination_css_cjs.hover,
      position: "relative",
      display: "flex",
      alignItems: "center",
      height: "touchable",
      paddingLeft: isNext ? "small" : "xsmall",
      paddingRight: isPrevious ? "small" : "xsmall",
      children: [
        /* @__PURE__ */ jsxRuntime.jsx(
          lib_components_private_Overlay_Overlay_cjs.Overlay,
          {
            component: "span",
            background: "formAccentSoft",
            borderRadius,
            transition: "fast",
            className: lib_components_Pagination_Pagination_css_cjs.background
          }
        ),
        /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_Box_cjs.Box, { component: "span", zIndex: 1, userSelect: "none", children: /* @__PURE__ */ jsxRuntime.jsxs(lib_components_Text_Text_cjs.Text, { children: [
          isPrevious ? /* @__PURE__ */ jsxRuntime.jsx(lib_components_icons_IconChevron_IconChevron_cjs.IconChevron, { direction: "left" }) : null,
          /* @__PURE__ */ jsxRuntime.jsx(
            lib_components_Box_Box_cjs.Box,
            {
              display: isPrevious ? ["none", "inline"] : void 0,
              component: "span",
              marginLeft: isPrevious ? "xsmall" : void 0,
              marginRight: isNext ? "xsmall" : void 0,
              children: label
            }
          ),
          isNext ? /* @__PURE__ */ jsxRuntime.jsx(lib_components_icons_IconChevron_IconChevron_cjs.IconChevron, { direction: "right" }) : null
        ] }) })
      ]
    }
  );
};
const tabletButtonSpacing = "xxsmall";
const Page = ({ number, current }) => {
  const parentBackground = lib_components_Box_BackgroundContext_cjs.useBackground();
  const isLegacyTheme = lib_components_BraidProvider_BraidThemeContext_cjs.useBraidTheme().legacy;
  return /* @__PURE__ */ jsxRuntime.jsxs(
    lib_components_Box_Box_cjs.Box,
    {
      component: "span",
      display: "flex",
      alignItems: "center",
      justifyContent: "center",
      height: "touchable",
      width: "touchable",
      position: "relative",
      className: lib_components_Pagination_Pagination_css_cjs.hover,
      children: [
        /* @__PURE__ */ jsxRuntime.jsx(
          lib_components_private_Overlay_Overlay_cjs.Overlay,
          {
            component: "span",
            background: current ? "formAccent" : "formAccentSoft",
            transition: current ? void 0 : "fast",
            borderRadius,
            className: [lib_components_Pagination_Pagination_css_cjs.background, current ? lib_components_Pagination_Pagination_css_cjs.current : void 0]
          }
        ),
        /* @__PURE__ */ jsxRuntime.jsx(
          lib_components_private_Overlay_Overlay_cjs.Overlay,
          {
            component: "span",
            borderRadius,
            boxShadow: "borderFormAccent",
            className: {
              [lib_components_Pagination_Pagination_css_cjs.lightModeCurrentKeyline]: isLegacyTheme && parentBackground.lightMode !== "surface" && current,
              [lib_components_Pagination_Pagination_css_cjs.darkModeCurrentKeyline]: current
            }
          }
        ),
        /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_Box_cjs.Box, { component: "span", zIndex: 1, userSelect: "none", children: /* @__PURE__ */ jsxRuntime.jsx(
          lib_components_Text_Text_cjs.Text,
          {
            baseline: false,
            align: "center",
            weight: current ? "medium" : void 0,
            tone: current ? "formAccent" : void 0,
            children: number
          }
        ) })
      ]
    }
  );
};
const defaultPageLimit = 7;
const Pagination = ({
  page,
  total,
  linkProps,
  label,
  pageLabel = (p) => `Go to page ${p}`,
  nextLabel = "Next",
  previousLabel = "Previous",
  pageLimit = defaultPageLimit,
  data,
  ...restProps
}) => {
  assert__default.default(total >= 1, `\`total\` must be at least 1`);
  assert__default.default(page >= 1 && page <= total, `\`page\` must be between 1 and ${total}`);
  assert__default.default(
    pageLimit >= 1 && pageLimit <= defaultPageLimit,
    `\`pageLimit\` must be between 1 and ${defaultPageLimit}`
  );
  const pages = lib_components_Pagination_paginate_cjs.paginate({ page, total, maxPages: pageLimit });
  const showPrevious = page > 1;
  const showNext = page < total;
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      component: "nav",
      "aria-label": label,
      ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: restProps }),
      children: /* @__PURE__ */ jsxRuntime.jsxs(lib_components_Box_Box_cjs.Box, { component: "ul", display: "flex", justifyContent: "center", children: [
        /* @__PURE__ */ jsxRuntime.jsx(
          lib_components_Box_Box_cjs.Box,
          {
            component: "li",
            paddingRight: {
              mobile: "medium",
              tablet: pageLimit > 2 ? tabletButtonSpacing : void 0
            },
            transition: "fast",
            opacity: !showPrevious ? 0 : void 0,
            pointerEvents: !showPrevious ? "none" : void 0,
            children: /* @__PURE__ */ jsxRuntime.jsx(
              lib_components_Link_Link_cjs.Link,
              {
                ...linkProps({ page: page - 1, type: "previous" }),
                rel: "prev",
                "aria-label": previousLabel,
                title: previousLabel,
                "aria-hidden": !showPrevious,
                tabIndex: !showPrevious ? -1 : void 0,
                children: /* @__PURE__ */ jsxRuntime.jsx(PageNav, { label: previousLabel, direction: "prev" })
              }
            )
          }
        ),
        pages.map((pageNumber, index) => {
          const current = page === pageNumber;
          const isNotLast = pages.length - 1 !== index;
          return /* @__PURE__ */ jsxRuntime.jsx(
            lib_components_Box_Box_cjs.Box,
            {
              component: "li",
              display: !current ? { mobile: "none", tablet: "block" } : void 0,
              paddingRight: pageLimit > 2 && isNotLast ? {
                tablet: tabletButtonSpacing
              } : void 0,
              children: /* @__PURE__ */ jsxRuntime.jsx(
                lib_components_Link_Link_cjs.Link,
                {
                  ...linkProps({ page: pageNumber, type: "pageNumber" }),
                  "aria-label": pageLabel(pageNumber),
                  "aria-current": current ? "page" : void 0,
                  title: pageLabel(pageNumber),
                  children: /* @__PURE__ */ jsxRuntime.jsx(Page, { number: pageNumber, current })
                }
              )
            },
            pageNumber
          );
        }),
        /* @__PURE__ */ jsxRuntime.jsx(
          lib_components_Box_Box_cjs.Box,
          {
            component: "li",
            paddingLeft: {
              mobile: "medium",
              tablet: pageLimit > 2 ? tabletButtonSpacing : void 0
            },
            transition: "fast",
            opacity: !showNext ? 0 : void 0,
            pointerEvents: !showNext ? "none" : void 0,
            children: /* @__PURE__ */ jsxRuntime.jsx(
              lib_components_Link_Link_cjs.Link,
              {
                ...linkProps({ page: page + 1, type: "next" }),
                rel: "next",
                "aria-label": nextLabel,
                title: nextLabel,
                "aria-hidden": !showNext,
                tabIndex: !showNext ? -1 : void 0,
                children: /* @__PURE__ */ jsxRuntime.jsx(PageNav, { label: nextLabel, direction: "next" })
              }
            )
          }
        )
      ] })
    }
  );
};
exports.Pagination = Pagination;
exports.defaultPageLimit = defaultPageLimit;
