"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_private_Field_Field_cjs = require("../private/Field/Field.cjs");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_private_FieldButtonIcon_FieldButtonIcon_cjs = require("../private/FieldButtonIcon/FieldButtonIcon.cjs");
const lib_components_icons_IconVisibility_IconVisibility_cjs = require("../icons/IconVisibility/IconVisibility.cjs");
const PasswordField = React.forwardRef(
  ({
    value,
    onChange,
    onBlur,
    onFocus,
    placeholder,
    disabled,
    onVisibilityToggle,
    visibilityToggleLabel = "Toggle password visibility",
    id,
    ...restProps
  }, forwardedRef) => {
    const defaultRef = React.useRef(null);
    const inputRef = forwardedRef || defaultRef;
    const [visible, setVisibile] = React.useState(false);
    const visibilityHandler = React.useCallback(
      (event) => {
        if (event.button !== 0) {
          return;
        }
        const newState = !visible;
        setVisibile(newState);
        if (typeof onVisibilityToggle === "function") {
          onVisibilityToggle(newState);
        }
        if (inputRef && typeof inputRef === "object" && inputRef.current) {
          inputRef.current.focus();
        }
      },
      [visible, onVisibilityToggle, inputRef]
    );
    return /* @__PURE__ */ jsxRuntime.jsx(
      lib_components_private_Field_Field_cjs.Field,
      {
        ...restProps,
        id,
        value,
        icon: void 0,
        prefix: void 0,
        disabled,
        secondaryMessage: null,
        alwaysShowSecondaryIcon: !disabled,
        secondaryIcon: disabled ? null : /* @__PURE__ */ jsxRuntime.jsx(
          lib_components_private_FieldButtonIcon_FieldButtonIcon_cjs.FieldButtonIcon,
          {
            id: `${id}-toggle`,
            label: visibilityToggleLabel,
            onMouseDown: visibilityHandler,
            icon: /* @__PURE__ */ jsxRuntime.jsx(lib_components_icons_IconVisibility_IconVisibility_cjs.IconVisibility, { hidden: visible })
          }
        ),
        children: (overlays, fieldProps, _, secondaryIcon) => /* @__PURE__ */ jsxRuntime.jsxs(React.Fragment, { children: [
          /* @__PURE__ */ jsxRuntime.jsx(
            lib_components_Box_Box_cjs.Box,
            {
              component: "input",
              type: visible ? "text" : "password",
              value,
              onChange,
              onFocus,
              onBlur,
              placeholder: !disabled ? placeholder : void 0,
              ...fieldProps,
              ref: inputRef
            }
          ),
          overlays,
          secondaryIcon
        ] })
      }
    );
  }
);
PasswordField.displayName = "PasswordField";
exports.PasswordField = PasswordField;
