import { jsx } from "react/jsx-runtime";
import { useState } from "react";
import { useFallbackId } from "../../playroom/utils.mjs";
import { Radio as Radio$1 } from "./Radio.mjs";
const Radio = ({
  id,
  checked,
  onChange,
  ...restProps
}) => {
  const fallbackId = useFallbackId();
  const [fallbackChecked, setFallbackChecked] = useState(false);
  return /* @__PURE__ */ jsx(
    Radio$1,
    {
      id: id ?? fallbackId,
      checked: checked ?? fallbackChecked,
      onChange: onChange ? onChange : (event) => setFallbackChecked(event.currentTarget.checked),
      ...restProps
    }
  );
};
export {
  Radio
};
