"use strict";
const jsxRuntime = require("react/jsx-runtime");
const assert = require("assert");
const lib_utils_flattenChildren_cjs = require("../../utils/flattenChildren.cjs");
const lib_components_private_FieldGroup_FieldGroup_cjs = require("../private/FieldGroup/FieldGroup.cjs");
const lib_components_RadioGroup_RadioItem_cjs = require("./RadioItem.cjs");
const lib_components_Stack_Stack_cjs = require("../Stack/Stack.cjs");
const lib_components_RadioGroup_RadioGroupContext_cjs = require("./RadioGroupContext.cjs");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const assert__default = /* @__PURE__ */ _interopDefaultCompat(assert);
const stackSpaceForSize = {
  small: "small",
  standard: "medium"
};
const RadioGroup = ({
  children,
  id,
  value,
  name,
  onChange,
  disabled,
  tone,
  size,
  ...props
}) => {
  const items = lib_utils_flattenChildren_cjs.flattenChildren(children);
  const labelSpace = props.description ? "xxsmall" : "xsmall";
  assert__default.default(
    items.every(
      (item) => typeof item === "object" && "type" in item && item.type === lib_components_RadioGroup_RadioItem_cjs.RadioItem
    ),
    "All child nodes within a RadioGroup must be a RadioItem: https://seek-oss.github.io/braid-design-system/components/RadioGroup"
  );
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_private_FieldGroup_FieldGroup_cjs.FieldGroup,
    {
      id,
      ...props,
      disabled,
      tone,
      space: "small",
      role: "radiogroup",
      children: (fieldGroupProps) => /* @__PURE__ */ jsxRuntime.jsx(
        lib_components_RadioGroup_RadioGroupContext_cjs.RadioGroupContext.Provider,
        {
          value: {
            id,
            value,
            name: name || id,
            onChange,
            disabled,
            tone,
            size,
            ...fieldGroupProps
          },
          children: /* @__PURE__ */ jsxRuntime.jsx(
            lib_components_Box_Box_cjs.Box,
            {
              paddingTop: "label" in props ? labelSpace : void 0,
              paddingBottom: props.message || props.reserveMessageSpace ? "xsmall" : void 0,
              children: /* @__PURE__ */ jsxRuntime.jsx(lib_components_Stack_Stack_cjs.Stack, { space: stackSpaceForSize[size || "standard"], children: items.map((item, i) => /* @__PURE__ */ jsxRuntime.jsx(lib_components_RadioGroup_RadioGroupContext_cjs.RadioItemContext.Provider, { value: i, children: item }, i)) })
            }
          )
        }
      )
    }
  );
};
RadioGroup.displayName = "RadioGroup";
exports.RadioGroup = RadioGroup;
