"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_playroomState_cjs = require("../../playroom/playroomState.cjs");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_RadioGroup_RadioGroup_cjs = require("./RadioGroup.cjs");
const RadioGroup = ({
  id,
  stateName,
  value,
  onChange,
  children,
  ...restProps
}) => {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  const [state, handleChange] = lib_playroom_playroomState_cjs.useFallbackState(stateName, value, onChange);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_RadioGroup_RadioGroup_cjs.RadioGroup,
    {
      ...restProps,
      id: id ?? fallbackId,
      value: state,
      onChange: handleChange,
      children
    }
  );
};
exports.RadioGroup = RadioGroup;
