"use strict";
const fileScope = require("@vanilla-extract/css/fileScope");
const css = require("@vanilla-extract/css");
const lib_css_colorModeStyle_cjs = require("../../css/colorModeStyle.cjs");
const lib_themes_vars_css_cjs = require("../../themes/vars.css.cjs");
fileScope.setFileScope("src/lib/components/Rating/Rating.css.ts", "braid-design-system");
const lightModeStarColor = css.style(lib_css_colorModeStyle_cjs.colorModeStyle({
  lightMode: {
    color: lib_themes_vars_css_cjs.vars.foregroundColor.rating
  }
}), "lightModeStarColor");
const darkModeStarColor = css.style(lib_css_colorModeStyle_cjs.colorModeStyle({
  darkMode: {
    color: lib_themes_vars_css_cjs.vars.foregroundColor.rating
  }
}), "darkModeStarColor");
const starSpacing = css.style({
  paddingRight: "1px"
}, "starSpacing");
const textSpacing = css.style({
  paddingLeft: "0.4em"
}, "textSpacing");
fileScope.endFileScope();
exports.darkModeStarColor = darkModeStarColor;
exports.lightModeStarColor = lightModeStarColor;
exports.starSpacing = starSpacing;
exports.textSpacing = textSpacing;
