import { jsx } from "react/jsx-runtime";
import { useFallbackId } from "../../playroom/utils.mjs";
import { TabsProvider as TabsProvider$1 } from "./TabsProvider.mjs";
import { Tabs as Tabs$1 } from "./Tabs.mjs";
import { Tab as Tab$1 } from "./Tab.mjs";
const TabsProvider = ({
  id,
  ...restProps
}) => {
  const fallbackId = useFallbackId();
  return /* @__PURE__ */ jsx(TabsProvider$1, { id: id ?? fallbackId, ...restProps });
};
const Tabs = ({ label, ...restProps }) => /* @__PURE__ */ jsx(Tabs$1, { label: "", ...restProps });
const Tab = ({ icon, ...restProps }) => /* @__PURE__ */ jsx(
  Tab$1,
  {
    icon: typeof icon === "boolean" ? void 0 : icon,
    ...restProps
  }
);
Tab.__isTab__ = true;
export {
  Tab,
  Tabs,
  TabsProvider
};
