"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_private_getNextIndex_cjs = require("../private/getNextIndex.cjs");
const lib_components_Tabs_Tabs_actions_cjs = require("./Tabs.actions.cjs");
const lib_components_Tabs_tabA11y_cjs = require("./tabA11y.cjs");
const TabsContext = React.createContext(null);
const TabsProvider = ({
  children,
  onChange,
  id,
  selectedItem
}) => {
  const [tabsState, dispatch] = React.useReducer(
    (state, action) => {
      switch (action.type) {
        case lib_components_Tabs_Tabs_actions_cjs.TAB_BUTTON_LEFT: {
          return {
            ...state,
            focusedTabIndex: lib_components_private_getNextIndex_cjs.getNextIndex(
              -1,
              state.focusedTabIndex,
              state.tabItems.length
            )
          };
        }
        case lib_components_Tabs_Tabs_actions_cjs.TAB_BUTTON_RIGHT: {
          return {
            ...state,
            focusedTabIndex: lib_components_private_getNextIndex_cjs.getNextIndex(
              1,
              state.focusedTabIndex,
              state.tabItems.length
            )
          };
        }
        case lib_components_Tabs_Tabs_actions_cjs.TAB_BUTTON_HOME: {
          return {
            ...state,
            focusedTabIndex: 0
          };
        }
        case lib_components_Tabs_Tabs_actions_cjs.TAB_BUTTON_END: {
          return {
            ...state,
            focusedTabIndex: state.tabItems.length - 1
          };
        }
        case lib_components_Tabs_Tabs_actions_cjs.TAB_BUTTON_TAB: {
          return {
            ...state,
            focusedTabIndex: null
          };
        }
        case lib_components_Tabs_Tabs_actions_cjs.TAB_BUTTON_ENTER:
        case lib_components_Tabs_Tabs_actions_cjs.TAB_BUTTON_SPACE:
        case lib_components_Tabs_Tabs_actions_cjs.TAB_BUTTON_CLICK: {
          return {
            ...state,
            focusedTabIndex: action.value,
            selectedIndex: action.value
          };
        }
        case lib_components_Tabs_Tabs_actions_cjs.TAB_BUTTON_REGISTER: {
          return {
            ...state,
            tabButtonElements: {
              ...state.tabButtonElements,
              [action.tabListItemIndex.toString()]: action.tabEl
            }
          };
        }
        case lib_components_Tabs_Tabs_actions_cjs.TAB_LIST_FOCUSED: {
          return {
            ...state,
            focusedTabIndex: action.value || 0
          };
        }
        case lib_components_Tabs_Tabs_actions_cjs.TAB_LIST_UPDATED: {
          return {
            ...state,
            tabItems: action.tabItems,
            selectedIndex: 0
          };
        }
        case lib_components_Tabs_Tabs_actions_cjs.TAB_PANELS_UPDATED: {
          return {
            ...state,
            panels: action.panels
          };
        }
        default:
          return state;
      }
    },
    {
      selectedIndex: 0,
      focusedTabIndex: null,
      tabItems: [],
      panels: [],
      tabButtonElements: {}
    }
  );
  return /* @__PURE__ */ jsxRuntime.jsx(
    TabsContext.Provider,
    {
      value: {
        ...tabsState,
        selectedIndex: typeof selectedItem !== "undefined" ? tabsState.tabItems.indexOf(selectedItem) : tabsState.selectedIndex,
        selectedItem,
        dispatch,
        a11y: lib_components_Tabs_tabA11y_cjs.tabA11y({ uniqueId: id }),
        onChange
      },
      children
    }
  );
};
exports.TabsContext = TabsContext;
exports.TabsProvider = TabsProvider;
