"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const assert = require("assert");
const lib_components_Text_TextContext_cjs = require("./TextContext.cjs");
const lib_components_private_defaultTextProps_cjs = require("../private/defaultTextProps.cjs");
const lib_css_typography_cjs = require("../../css/typography.cjs");
const lib_components_private_Typography_Typography_cjs = require("../private/Typography/Typography.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const assert__default = /* @__PURE__ */ _interopDefaultCompat(assert);
const Text = ({
  size: sizeProp,
  tone: toneProp,
  weight: weightProp,
  baseline = true,
  ...typographyProps
}) => {
  assert__default.default(
    !React.useContext(lib_components_Text_TextContext_cjs.TextContext),
    "Text components should not be nested within each other"
  );
  const { size, weight, tone } = lib_components_private_defaultTextProps_cjs.useDefaultTextProps({
    size: sizeProp,
    weight: weightProp,
    tone: toneProp
  });
  const textStylingProps = React.useMemo(
    () => ({
      tone,
      size,
      weight,
      baseline
    }),
    [tone, size, weight, baseline]
  );
  return /* @__PURE__ */ jsxRuntime.jsx(lib_components_Text_TextContext_cjs.TextContext.Provider, { value: textStylingProps, children: /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_private_Typography_Typography_cjs.Typography,
    {
      ...typographyProps,
      className: lib_css_typography_cjs.textStyles(textStylingProps)
    }
  ) });
};
exports.Text = Text;
