"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_TextDropdown_TextDropdown_cjs = require("./TextDropdown.cjs");
const fallbackOptions = ["TextDropdown"];
function resolveValue(value, options) {
  if (typeof value === "undefined") {
    if (Array.isArray(options) && options.length > 0) {
      return lib_components_TextDropdown_TextDropdown_cjs.parseSimpleToComplexOption(options[0]).value;
    }
    return fallbackOptions[0];
  }
  return value;
}
function resolveOptions(options) {
  return Array.isArray(options) && options.length > 0 ? options : fallbackOptions;
}
function TextDropdown({
  id,
  value,
  label,
  onChange,
  options = fallbackOptions,
  ...restProps
}) {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  const [internalValue, setInternalValue] = React.useState(
    resolveValue(value, options)
  );
  const [internalOptions, setInternalOptions] = React.useState(
    resolveOptions(options)
  );
  React.useEffect(() => {
    if (options !== internalOptions) {
      setInternalOptions(resolveOptions(options));
      setInternalValue(resolveValue(value, options));
    }
  }, [internalOptions, value, options]);
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_TextDropdown_TextDropdown_cjs.TextDropdown,
    {
      id: id ?? fallbackId,
      label: label ?? "No label provided",
      value: internalValue,
      options: internalOptions,
      onChange: onChange ? onChange : setInternalValue,
      ...restProps
    }
  );
}
exports.TextDropdown = TextDropdown;
