"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_playroom_playroomState_cjs = require("../../playroom/playroomState.cjs");
const lib_playroom_utils_cjs = require("../../playroom/utils.cjs");
const lib_components_TextField_TextField_cjs = require("./TextField.cjs");
const TextField = ({
  id,
  stateName,
  value,
  onChange,
  onClear,
  ...restProps
}) => {
  const fallbackId = lib_playroom_utils_cjs.useFallbackId();
  const [state, handleChange] = lib_playroom_playroomState_cjs.useFallbackState(
    stateName,
    value,
    onChange,
    ""
  );
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_TextField_TextField_cjs.TextField,
    {
      id: id ?? fallbackId,
      value: state,
      onChange: handleChange,
      onClear: () => {
        handleChange({ currentTarget: { value: "" } });
        onClear == null ? void 0 : onClear();
      },
      autoComplete: "off",
      ...restProps
    }
  );
};
exports.TextField = TextField;
