import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconArrowSvg } from "./IconArrowSvg.mjs";
import { root, rotate, flip, mirror } from "./IconArrow.css.mjs";
const IconArrow = ({ direction = "up", ...props }) => {
  const { className, ...iconProps } = useIcon(props);
  return /* @__PURE__ */ jsx(
    Box,
    {
      component: IconArrowSvg,
      className: [
        root,
        className,
        {
          [rotate]: direction === "right" || direction === "left",
          [flip]: direction === "down",
          [mirror]: direction === "left"
        }
      ],
      ...iconProps
    }
  );
};
export {
  IconArrow
};
