import { jsx } from "react/jsx-runtime";
import { Box } from "../../Box/Box.mjs";
import { useIcon } from "../../../hooks/useIcon/index.mjs";
import { IconThumbSvg } from "./IconThumbSvg.mjs";
import { root, down } from "./IconThumb.css.mjs";
const IconThumb = ({ direction = "up", ...props }) => {
  const { className, ...iconProps } = useIcon(props);
  return /* @__PURE__ */ jsx(
    Box,
    {
      component: IconThumbSvg,
      className: [
        root,
        className,
        {
          [down]: direction === "down"
        }
      ],
      ...iconProps
    }
  );
};
export {
  IconThumb
};
