"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_ButtonIcon_ButtonIcon_cjs = require("../../ButtonIcon/ButtonIcon.cjs");
const FieldButtonIcon = React.forwardRef(
  ({ label, onClick, onMouseDown, ...restProps }, forwardedRef) => {
    const handleMouseDown = React.useCallback(
      (event) => {
        if (typeof onMouseDown !== "function") {
          return;
        }
        if (!onClick) {
          event.preventDefault();
        }
        onMouseDown(event);
      },
      [onClick, onMouseDown]
    );
    return /* @__PURE__ */ jsxRuntime.jsx(
      lib_components_ButtonIcon_ButtonIcon_cjs.ButtonIcon,
      {
        ref: forwardedRef,
        label,
        tone: "secondary",
        variant: "transparent",
        onClick,
        onMouseDown: handleMouseDown,
        tabIndex: -1,
        ...restProps
      }
    );
  }
);
exports.FieldButtonIcon = FieldButtonIcon;
