"use strict";
const fileScope = require("@vanilla-extract/css/fileScope");
const css = require("@vanilla-extract/css");
const entries_css_cjs = require("../../../../css.cjs");
fileScope.setFileScope("src/lib/components/private/MaxLines/MaxLines.css.ts", "braid-design-system");
const descenderCropFixOffset = "0.1em";
const negateDescenderCropFixOffset = `-${descenderCropFixOffset}`;
const descenderCropFixForWebkitBox = css.style({
  marginBottom: negateDescenderCropFixOffset
}, "descenderCropFixForWebkitBox");
const base = css.style([entries_css_cjs.atoms({
  display: "block",
  overflow: "hidden",
  minWidth: 0
}), {
  textOverflow: "ellipsis",
  whiteSpace: "nowrap",
  selectors: {
    [`${descenderCropFixForWebkitBox} &`]: {
      paddingBottom: descenderCropFixOffset
    }
  }
}], "base");
const lineLimit = css.createVar("lineLimit");
const lineClampSupportsQuery = "(display: -webkit-box) and (-webkit-line-clamp: 1)";
const multiLine = css.style({
  // Can drop supports query when Edge 16 is removed from browser support policy
  "@supports": {
    [lineClampSupportsQuery]: {
      whiteSpace: "initial",
      display: "-webkit-box",
      WebkitLineClamp: lineLimit,
      WebkitBoxOrient: "vertical"
    }
  }
}, "multiLine");
fileScope.endFileScope();
exports.base = base;
exports.descenderCropFixForWebkitBox = descenderCropFixForWebkitBox;
exports.lineLimit = lineLimit;
exports.multiLine = multiLine;
