"use strict";
const jsxRuntime = require("react/jsx-runtime");
const lib_components_Box_Box_cjs = require("../../Box/Box.cjs");
const lib_components_private_buildDataAttributes_cjs = require("../buildDataAttributes.cjs");
const lib_components_private_MaxLines_MaxLines_cjs = require("../MaxLines/MaxLines.cjs");
const lib_utils_align_cjs = require("../../../utils/align.cjs");
const dedent = require("dedent");
const lib_components_private_MaxLines_MaxLines_css_cjs = require("../MaxLines/MaxLines.css.cjs");
const _interopDefaultCompat = (e) => e && typeof e === "object" && "default" in e ? e : { default: e };
const dedent__default = /* @__PURE__ */ _interopDefaultCompat(dedent);
const Typography = ({
  id,
  component = "span",
  className,
  align,
  truncate = false,
  maxLines,
  icon,
  data,
  children,
  ...restProps
}) => {
  const lines = truncate ? 1 : maxLines;
  const isTruncated = typeof lines === "number";
  const contents = isTruncated ? /* @__PURE__ */ jsxRuntime.jsx(lib_components_private_MaxLines_MaxLines_cjs.MaxLines, { lines, children }) : children;
  if (process.env.NODE_ENV !== "production") {
    if (truncate) {
      console.warn(
        dedent__default.default`
          The "truncate" prop has been deprecated and will be removed in a future version. Use "maxLines" instead.
             <Text
            %c-   truncate
            %c+   maxLines={1}
             %c/>
        `,
        "color: red",
        "color: green",
        "color: inherit"
      );
    }
  }
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      id,
      display: "block",
      component,
      textAlign: align,
      className: [
        className,
        isTruncated ? lib_components_private_MaxLines_MaxLines_css_cjs.descenderCropFixForWebkitBox : void 0
      ],
      ...lib_components_private_buildDataAttributes_cjs.buildDataAttributes({ data, validateRestProps: restProps }),
      children: icon ? /* @__PURE__ */ jsxRuntime.jsxs(
        lib_components_Box_Box_cjs.Box,
        {
          component: "span",
          display: "flex",
          justifyContent: lib_utils_align_cjs.alignToFlexAlign(align),
          children: [
            /* @__PURE__ */ jsxRuntime.jsx(
              lib_components_Box_Box_cjs.Box,
              {
                component: "span",
                display: "block",
                paddingRight: "xsmall",
                flexGrow: 0,
                flexShrink: 0,
                minWidth: 0,
                textAlign: align,
                children: icon
              }
            ),
            /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_Box_cjs.Box, { component: "span", display: "block", minWidth: 0, children: contents })
          ]
        }
      ) : contents
    }
  );
};
exports.Typography = Typography;
