"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const DefaultTextPropsContext = React.createContext({
  tone: void 0,
  weight: void 0,
  size: void 0
});
const DefaultTextPropsProvider = ({
  size,
  weight,
  tone,
  children
}) => {
  const defaultTextProps = React.useMemo(
    () => ({
      size,
      weight,
      tone
    }),
    [size, weight, tone]
  );
  return /* @__PURE__ */ jsxRuntime.jsx(DefaultTextPropsContext.Provider, { value: defaultTextProps, children });
};
const useDefaultTextProps = ({
  size: sizeProp,
  weight: weightProp,
  tone: toneProp
}) => {
  const { size, weight, tone } = React.useContext(DefaultTextPropsContext);
  return {
    size: sizeProp ?? size ?? "standard",
    weight: weightProp ?? weight ?? "regular",
    tone: toneProp ?? tone ?? "neutral"
  };
};
exports.DefaultTextPropsProvider = DefaultTextPropsProvider;
exports.useDefaultTextProps = useDefaultTextProps;
