"use strict";
const React = require("react");
const lib_components_private_hideFocusRings_hideFocusRingsDataAttribute_cjs = require("./hideFocusRingsDataAttribute.cjs");
const hideFocusRings = () => document.body.setAttribute(lib_components_private_hideFocusRings_hideFocusRingsDataAttribute_cjs.hideFocusRingsDataAttribute, "true");
const showFocusRings = () => document.body.removeAttribute(lib_components_private_hideFocusRings_hideFocusRingsDataAttribute_cjs.hideFocusRingsDataAttribute);
const useHideFocusRings = (enabled = true) => {
  React.useEffect(() => {
    if (enabled) {
      window.addEventListener("keydown", showFocusRings);
      window.addEventListener("mousemove", hideFocusRings);
      return () => {
        window.removeEventListener("keydown", showFocusRings);
        window.removeEventListener("mousemove", hideFocusRings);
      };
    }
  }, [enabled]);
};
exports.useHideFocusRings = useHideFocusRings;
