"use strict";
const jsxRuntime = require("react/jsx-runtime");
const React = require("react");
const lib_components_Box_Box_cjs = require("../Box/Box.cjs");
const lib_components_useToast_Toast_cjs = require("./Toast.cjs");
const lib_components_useToast_useFlipList_cjs = require("./useFlipList.cjs");
const Toaster = ({ toasts, removeToast }) => {
  const { itemRef, remove } = lib_components_useToast_useFlipList_cjs.useFlipList();
  const onClose = React.useCallback(
    (dedupeKey, id) => {
      remove(id, () => {
        removeToast(dedupeKey);
      });
    },
    [remove, removeToast]
  );
  return /* @__PURE__ */ jsxRuntime.jsx(
    lib_components_Box_Box_cjs.Box,
    {
      position: "fixed",
      zIndex: "notification",
      width: "full",
      pointerEvents: "none",
      paddingX: "gutter",
      bottom: 0,
      children: toasts.map(({ id, ...rest }) => /* @__PURE__ */ jsxRuntime.jsx(lib_components_Box_Box_cjs.Box, { paddingBottom: "small", children: /* @__PURE__ */ jsxRuntime.jsx(
        lib_components_useToast_Toast_cjs.ToastComponent,
        {
          ref: itemRef(id),
          id,
          onClose,
          ...rest
        }
      ) }, id))
    }
  );
};
exports.Toaster = Toaster;
