"use strict";
const lib_css_breakpoints_cjs = require("../css/breakpoints.cjs");
const lib_css_atoms_atomicProperties_cjs = require("../css/atoms/atomicProperties.cjs");
const validSpaceValues = Object.keys(lib_css_atoms_atomicProperties_cjs.space);
const cleanSpaceValue = (space) => {
  const validResponsiveObject = typeof space === "object" && Object.keys(space).some(
    (bp) => lib_css_breakpoints_cjs.breakpointNames.includes(bp) && validSpaceValues.includes(space[bp])
  );
  const validArray = Array.isArray(space) && space.some((s) => validSpaceValues.includes(s));
  const validSpace = typeof space === "string" && validSpaceValues.includes(space);
  return validSpace || validResponsiveObject || validArray ? space : void 0;
};
exports.cleanSpaceValue = cleanSpaceValue;
