const snippets = [{
  name: "Standard",
  code: '<Dropdown label="Label" placeholder="Please select">\n        <option>Option 1</option>\n        <option>Option 2</option>\n        <option>Option 3</option>\n      </Dropdown>'
}, {
  name: "With option groups",
  code: '<Dropdown label="Label" placeholder="Please select">\n        <optgroup label="Group 1">\n          <option>Option 1</option>\n          <option>Option 2</option>\n          <option>Option 3</option>\n        </optgroup>\n        <optgroup label="Group 2">\n          <option>Option A</option>\n          <option>Option B</option>\n          <option>Option C</option>\n        </optgroup>\n      </Dropdown>'
}, {
  name: "With additional labels",
  code: '<Dropdown\n  label="Label"\n  placeholder="Please select"\n  secondaryLabel="optional"\n  tertiaryLabel={\n  <TextLink href="#" icon={<IconHelp />}>\n            Help\n          </TextLink>}>\n\n\n        <option>Option 1</option>\n        <option>Option 2</option>\n      </Dropdown>'
}, {
  name: "With a description",
  code: '<Dropdown\n  label="Label"\n  placeholder="Please select"\n  description="Extra information about the field">\n\n        <option>Option 1</option>\n        <option>Option 2</option>\n        <option>Option 3</option>\n      </Dropdown>'
}, {
  name: "With an icon",
  code: '<Dropdown\n  label="Label"\n  placeholder="Please select"\n  icon={<IconLocation />}>\n\n        <option>Option 1</option>\n        <option>Option 2</option>\n        <option>Option 3</option>\n      </Dropdown>'
}, {
  name: "With a critical message",
  code: '<Dropdown\n  label="Label"\n  placeholder="Please select"\n  tone="critical"\n  message="Critical message">\n\n        <option>Option 1</option>\n        <option>Option 2</option>\n        <option>Option 3</option>\n      </Dropdown>'
}, {
  name: "With a positive message",
  code: '<Dropdown\n  label="Label"\n  placeholder="Please select"\n  tone="positive"\n  message="Positive message">\n\n        <option>Option 1</option>\n        <option>Option 2</option>\n        <option>Option 3</option>\n      </Dropdown>'
}];
export {
  snippets
};
