"use strict";
const polished = require("polished");
const lib_color_palette_cjs = require("../../color/palette.cjs");
const lib_themes_baseTokens_apac_cjs = require("../baseTokens/apac.cjs");
const brandAccent = lib_color_palette_cjs.palette.seekPink["500"];
const brandAccentSoft = lib_color_palette_cjs.palette.seekPink["50"];
const tokens = lib_themes_baseTokens_apac_cjs.makeTokens({
  name: "seekJobs",
  displayName: "SEEK Jobs",
  brand: lib_color_palette_cjs.palette.seekBlue["700"],
  brandAccent,
  brandAccentLight: lib_color_palette_cjs.palette.seekPink["200"],
  brandAccentActive: polished.darken(0.05, brandAccent),
  brandAccentHover: polished.lighten(0.05, brandAccent),
  brandAccentSoft,
  brandAccentSoftActive: polished.darken(0.05, brandAccentSoft),
  brandAccentSoftHover: polished.darken(0.025, brandAccentSoft),
  tokenOverrides: {
    legacy: false,
    typography: {
      fontFamily: 'SeekSans, "SeekSans Fallback", Arial',
      webFont: "https://www.seek.com.au/static/shared-web/seeksans.css",
      fontMetrics: {
        capHeight: 783,
        ascent: 1057,
        descent: -274,
        lineGap: 0,
        unitsPerEm: 1e3
      },
      fontWeight: {
        regular: 400,
        medium: 500,
        strong: 700
      },
      heading: {
        weight: {
          weak: "regular",
          regular: "medium"
        },
        level: {
          "1": {
            mobile: {
              fontSize: 28,
              lineGap: 11
            },
            tablet: {
              fontSize: 36,
              lineGap: 14
            }
          },
          "2": {
            mobile: {
              fontSize: 24,
              lineGap: 11
            },
            tablet: {
              fontSize: 30,
              lineGap: 13
            }
          },
          "3": {
            mobile: {
              fontSize: 22,
              lineGap: 10
            },
            tablet: {
              fontSize: 24,
              lineGap: 11
            }
          },
          "4": {
            mobile: {
              fontSize: 20,
              lineGap: 9
            },
            tablet: {
              fontSize: 20,
              lineGap: 9
            }
          }
        }
      },
      text: {
        large: {
          mobile: {
            fontSize: 18,
            lineGap: 13
          },
          tablet: {
            fontSize: 18,
            lineGap: 13
          }
        },
        standard: {
          mobile: {
            fontSize: 16,
            lineGap: 12
          },
          tablet: {
            fontSize: 16,
            lineGap: 12
          }
        },
        small: {
          mobile: {
            fontSize: 14,
            lineGap: 10
          },
          tablet: {
            fontSize: 14,
            lineGap: 10
          }
        },
        xsmall: {
          mobile: {
            fontSize: 12,
            lineGap: 9
          },
          tablet: {
            fontSize: 12,
            lineGap: 9
          }
        }
      }
    },
    space: {
      gutter: 8,
      xxsmall: 2,
      xsmall: 3,
      small: 4,
      medium: 6,
      large: 8,
      xlarge: 12,
      xxlarge: 16,
      xxxlarge: 24
    },
    focusRingSize: 6,
    touchableSize: 12,
    border: {
      width: {
        standard: 2,
        large: 4
      },
      radius: {
        small: "4px",
        standard: "8px",
        large: "16px",
        xlarge: "24px"
      },
      color: {
        formAccent: lib_color_palette_cjs.palette.seekBlueLight["700"],
        formAccentLight: lib_color_palette_cjs.palette.seekBlueLight["300"],
        focus: polished.rgba(lib_color_palette_cjs.palette.seekBlueLight["300"], 0.7),
        promote: lib_color_palette_cjs.palette.purple["700"],
        promoteLight: lib_color_palette_cjs.palette.purple["300"],
        neutralLight: lib_color_palette_cjs.palette.grey["100"]
      }
    },
    color: {
      foreground: {
        formAccent: lib_color_palette_cjs.palette.seekBlueLight["700"],
        formAccentLight: lib_color_palette_cjs.palette.seekBlueLight["300"],
        link: lib_color_palette_cjs.palette.grey["700"],
        linkHover: lib_color_palette_cjs.palette.grey["700"],
        linkLight: "#fff",
        linkVisited: lib_color_palette_cjs.palette.purple["800"],
        linkLightVisited: lib_color_palette_cjs.palette.purple["200"],
        promote: lib_color_palette_cjs.palette.purple["700"],
        promoteLight: lib_color_palette_cjs.palette.purple["300"],
        rating: lib_color_palette_cjs.palette.orange["600"]
      },
      background: {
        body: "#fff",
        bodyDark: lib_color_palette_cjs.palette.grey["800"],
        formAccent: lib_color_palette_cjs.palette.seekBlueLight["700"],
        formAccentActive: polished.darken(0.05, lib_color_palette_cjs.palette.seekBlueLight["700"]),
        formAccentHover: polished.lighten(0.075, lib_color_palette_cjs.palette.seekBlueLight["700"]),
        formAccentSoft: lib_color_palette_cjs.palette.seekBlueLight["50"],
        formAccentSoftActive: polished.darken(0.05, lib_color_palette_cjs.palette.seekBlueLight["50"]),
        formAccentSoftHover: polished.darken(0.025, lib_color_palette_cjs.palette.seekBlueLight["50"]),
        promote: lib_color_palette_cjs.palette.purple["700"],
        promoteLight: lib_color_palette_cjs.palette.purple["100"],
        neutralLight: lib_color_palette_cjs.palette.grey["75"],
        neutralSoft: lib_color_palette_cjs.palette.grey["75"],
        neutralSoftActive: polished.darken(0.05, lib_color_palette_cjs.palette.grey["75"]),
        neutralSoftHover: polished.darken(0.025, lib_color_palette_cjs.palette.grey["75"])
      }
    }
  }
});
exports.tokens = tokens;
