"use strict";
const React = require("react");
const reactIs = require("react-is");
function flattenChildren(children, depth = 0, keys = []) {
  return React.Children.toArray(children).reduce(
    (acc, node, nodeIndex) => {
      if (reactIs.isFragment(node)) {
        acc.push(
          ...flattenChildren(
            node.props.children,
            depth + 1,
            keys.concat(node.key || nodeIndex)
          )
        );
      } else if (React.isValidElement(node)) {
        acc.push(
          React.cloneElement(node, {
            key: keys.concat(String(node.key)).join(".")
          })
        );
      } else if (typeof node === "string" || typeof node === "number") {
        acc.push(node);
      }
      return acc;
    },
    []
  );
}
exports.flattenChildren = flattenChildren;
