"use strict";
const lib_css_breakpoints_cjs = require("../css/breakpoints.cjs");
const resolveResponsiveRangeProps = (props) => {
  const { above, below } = props;
  if (!above && !below) {
    return [false, false, false, false];
  }
  const startIndex = above ? lib_css_breakpoints_cjs.breakpointNames.indexOf(above) + 1 : 0;
  const endIndex = below ? lib_css_breakpoints_cjs.breakpointNames.indexOf(below) - 1 : lib_css_breakpoints_cjs.breakpointNames.length - 1;
  const range = lib_css_breakpoints_cjs.breakpointNames.slice(startIndex, endIndex + 1);
  const includeMobile = range.indexOf("mobile") >= 0;
  const includeTablet = range.indexOf("tablet") >= 0;
  const includeDesktop = range.indexOf("desktop") >= 0;
  const includeWide = range.indexOf("wide") >= 0;
  return [includeMobile, includeTablet, includeDesktop, includeWide];
};
exports.resolveResponsiveRangeProps = resolveResponsiveRangeProps;
